import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_post/ocg_post.dart';

abstract class CommentRepository {
  Future<AppResponse<List<Comment>>> getPage(
      Comment object, String postId, int count);
  Future<AppResponse<bool>> delete(String postId, String commentId);
  Future<AppResponse<Comment>> read(String postId, String commentId);
  Future<AppResponse<String>> create(Comment comment);
}
